%global upstream_version rel_%(sed s/\\\\./_/g <<<"%{version}")_ga

Name:           javassist
Version:        3.18.1
Release:        %mkrel 6
Summary:        The Java Programming Assistant provides simple Java bytecode manipulation
Group:          Development/Java
License:        MPLv1.1 or LGPLv2+ or ASL 2.0
URL:            http://www.csg.is.titech.ac.jp/~chiba/%{name}/
BuildArch:      noarch

Source0:        http://github.com/jboss-%{name}/%{name}/archive/%{upstream_version}.tar.gz

Patch0:         0001-Remove-usage-of-junit.awtui-and-junit.swingui.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

%description
Javassist enables Java programs to define a new class at runtime and to
modify a class file when the JVM loads it. Unlike other similar
bytecode editors, Javassist provides two levels of API: source level
and bytecode level. If the users use the source-level API, they can
edit a class file without knowledge of the specifications of the Java
bytecode. The whole API is designed with only the vocabulary of the
Java language. You can even specify inserted bytecode in the form of
source text; Javassist compiles it on the fly. On the other hand, the
bytecode-level API allows the users to directly edit a class file as
other editors.

%package javadoc
Summary:           Javadocs for javassist
Group:             Documentation
Requires:          jpackage-utils

%description javadoc
javassist development documentation.

%prep
%setup -q -n %{name}-%{upstream_version}
find . -name \*.jar -type f -delete
mkdir runtest
%patch0 -p1
%pom_xpath_remove "pom:profile[pom:id='default-tools']"
%pom_add_dep com.sun:tools

%mvn_file : %{name}
%mvn_alias : %{name}:%{name}

%build
# TODO: enable tests
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc License.html Readme.html

%files javadoc -f .mfiles-javadoc
%doc License.html




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.18.1-6.mga6
+ Revision: 981851
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.18.1-5.mga6
+ Revision: 976522
- First rebuild of the java stack
- sync package javassist with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 3.18.1-1.mga5
+ Revision: 810554
- Sync with Fedora 21 (update to 3.18.1)

* Wed Oct 15 2014 umeabot <umeabot> 3.16.1-4.mga5
+ Revision: 746028
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 3.16.1-1.mga4
+ Revision: 488603
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.14.0-5.mga3
+ Revision: 354864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 03 2011 gil <gil> 3.14.0-4.mga2
+ Revision: 151297
- * corrected/modified depmap
  * rebuilt with mvn 3 support

* Thu Apr 28 2011 dmorgan <dmorgan> 3.14.0-3.mga1
+ Revision: 92535
- Rebuild after bootstrapping
- imported package javassist


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 4 2010 Alexander Kurtakov <akurtako@redhat.com> 3.14.0-1
- Update to 3.14.0 upstream version.
- Various fixes in preparation for merge review.

* Fri Feb 12 2010 Alexander Kurtakov <akurtako@redhat.com> 3.9.0-7
- Add maven-doxia BRs.

* Fri Feb 12 2010 Alexander Kurtakov <akurtako@redhat.com> 3.9.0-6
- Remove not needed BR. Fixes rhbz#539176.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 John5342 <john5342 at, fedoraproject.org> - 3.9.0-3
- Correct group id for maven depmap

* Mon Jan 26 2009 John5342 <john5342 at, fedoraproject.org> - 3.9.0-2
- Build using maven and install maven stuff (fixes bug 480428)

* Tue Dec 16 2008 Sandro Mathys <red at fedoraproject.org> - 3.9.0-1
- initial build
